Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/GPS plugin

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19220

Description

Hi,

When a GPX file is edited in QGIS (opened from GPS tools), its structure changes drastically and is not recognized anymore by Garmin

tools (MapSource, BaseCamp nor a Garmin GPS...).

(I did not have such a problem on previous version of QGIS 1.8 + XP)

Tests done on QGIS 2.2, 2.4 run on XP and Seven)

Renaud

History

#1 - 2014-09-01 03:17 PM - ramon .

I think there are good reasons for maintaining the file load ability of the GPS Tools plugin...

but as a workaround, does this work?

Open the gpx file as you would for a normal vector (Layer -> Open Vector) and edit the layer(s) that are opened.

Does this corrupt he gpx file too?

In terms of helping people work out what is happening, what sort of edits are you making ? (e.g. changing tracks, moving waypoints,...)

Are you able to put up a (small) example of a starting gpx file, a list of what you did to it, and the resulting invalid file?

-ramon.

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
